org.apache.drill.jdbc

## Class AlreadyClosedSqlException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.sql.SQLException
      - - java.sql.SQLNonTransientException
        - - org.apache.drill.jdbc.JdbcApiSqlException
          - - org.apache.drill.jdbc.AlreadyClosedSqlException

All Implemented Interfaces:
  Serializable, Iterable<Throwable>

    public class AlreadyClosedSqlException
    extends JdbcApiSqlException

SQLException for object-already-closed conditions, e.g., calling a method on a closed `Statement`.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`AlreadyClosedSqlException()` See `JdbcApiSqlException.JdbcApiSqlException()`.
`AlreadyClosedSqlException(String reason)` See `JdbcApiSqlException.JdbcApiSqlException(String)`.
`AlreadyClosedSqlException(String reason, String SQLState)` See `JdbcApiSqlException.JdbcApiSqlException(String, String)`.
`AlreadyClosedSqlException(String reason, String SQLState, int vendorCode)` See `JdbcApiSqlException.JdbcApiSqlException(String, String, int)`.
`AlreadyClosedSqlException(String reason, String sqlState, int vendorCode, Throwable cause)` See `JdbcApiSqlException.JdbcApiSqlException(String, String, int, Throwable)`.
`AlreadyClosedSqlException(String reason, String sqlState, Throwable cause)` See `JdbcApiSqlException.JdbcApiSqlException(String, String, Throwable)`.
`AlreadyClosedSqlException(String reason, Throwable cause)` See `JdbcApiSqlException.JdbcApiSqlException(String, Throwable)`.
`AlreadyClosedSqlException(Throwable cause)` See `JdbcApiSqlException.JdbcApiSqlException(Throwable cause)`.

### Method Summary

### Methods inherited from class java.sql.SQLException

`getErrorCode, getNextException, getSQLState, iterator, setNextException`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

### Constructor Detail

#### AlreadyClosedSqlException

    public AlreadyClosedSqlException(String reason,
                                     String SQLState,
                                     int vendorCode)

See `JdbcApiSqlException.JdbcApiSqlException(String, String, int)`.

#### AlreadyClosedSqlException

    public AlreadyClosedSqlException(String reason,
                                     String SQLState)

See `JdbcApiSqlException.JdbcApiSqlException(String, String)`.

#### AlreadyClosedSqlException

    public AlreadyClosedSqlException(String reason)

See `JdbcApiSqlException.JdbcApiSqlException(String)`.

#### AlreadyClosedSqlException

    public AlreadyClosedSqlException()

See `JdbcApiSqlException.JdbcApiSqlException()`.

#### AlreadyClosedSqlException

    public AlreadyClosedSqlException(Throwable cause)

See `JdbcApiSqlException.JdbcApiSqlException(Throwable cause)`.

#### AlreadyClosedSqlException

    public AlreadyClosedSqlException(String reason,
                                     Throwable cause)

See `JdbcApiSqlException.JdbcApiSqlException(String, Throwable)`.

#### AlreadyClosedSqlException

    public AlreadyClosedSqlException(String reason,
                                     String sqlState,
                                     Throwable cause)

See `JdbcApiSqlException.JdbcApiSqlException(String, String, Throwable)`.

#### AlreadyClosedSqlException

    public AlreadyClosedSqlException(String reason,
                                     String sqlState,
                                     int vendorCode,
                                     Throwable cause)

See `JdbcApiSqlException.JdbcApiSqlException(String, String, int, Throwable)`.